Subject: Re: bug#14605: Problem with export an .org file to .pdf does not open pdf file

From: Petr Hracek <[email-masked]>
Date: Tue, 13 Aug 2013 15:14:19 +0200

Hi,

I have browsed the lisp code of org.el
where  is mentioned:
"External applications for opening `file:path' items in a document.
Org-mode uses system defaults for different file types, but
you can use this variable to set the application for a given file
extension.  The entries in this list are cons cells where the car identifies
files and the cdr the corresponding command.  Possible values for the
file identifier are
  \"string\"    A string as a file identifier can be interpreted in 
different
                ways, depending on its contents:

                - Alphanumeric characters only:
                  Match links with this file extension.
                  Example: (\"pdf\" . \"evince %s\")
                           to open PDFs with evince.

What does it mean system defaults?
What command is used for getting default programs?
xdg-mine or another?
Thank you in advance

greetings
Petr

On 06/25/2013 01:07 PM, Petr Hracek wrote:
> On 06/13/2013 03:28 PM, Petr Hracek wrote:
>> Hi folks,
>>
>> I would like to export some .org file into .pdf file.
>> This should also open PDF after export is done but it does not.
>>
>> This is done by command C-c C-e d.
>> In some case emacs freezes.
>>
>> Could you please help me?
>>
> Hi
>
> I have find out that if file org/org.el where are defined variables 
> like org-file-apps
> is mentioned
> ("\\.pdf\\'" . default)
>
> When I changed them to e.g xpdf then pdf file is openned properly.
>

-- 
Best regards / S pozdravem
Petr Hracek